libgimpprint API Reference: print-pcl.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-pcl.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "gimp-print-internal.h"`
`#include <stdio.h>`
`#include <string.h>`

Go to the source code of this file.

## Data Structures
struct | pcl_privdata_t
struct | pcl_t
struct | margins_t
struct | pcl_cap_t
struct | float_param_t
## Defines
#define | MAX(a, b) ((a) > (b) ? (a) : (b))
#define | PCL_PAPERSIZE_EXECUTIVE 1
#define | PCL_PAPERSIZE_LETTER 2
#define | PCL_PAPERSIZE_LEGAL 3
#define | PCL_PAPERSIZE_TABLOID 6 /* "Ledger" */
#define | PCL_PAPERSIZE_STATEMENT 15 /* Called "Manual" in print-util */
#define | PCL_PAPERSIZE_SUPER_B 16 /* Called "13x19" in print-util */
#define | PCL_PAPERSIZE_A5 25
#define | PCL_PAPERSIZE_A4 26
#define | PCL_PAPERSIZE_A3 27
#define | PCL_PAPERSIZE_JIS_B5 45
#define | PCL_PAPERSIZE_JIS_B4 46
#define | PCL_PAPERSIZE_HAGAKI_CARD 71
#define | PCL_PAPERSIZE_OUFUKU_CARD 72
#define | PCL_PAPERSIZE_A6_CARD 73
#define | PCL_PAPERSIZE_4x6 74
#define | PCL_PAPERSIZE_5x8 75
#define | PCL_PAPERSIZE_3x5 78
#define | PCL_PAPERSIZE_MONARCH_ENV 80
#define | PCL_PAPERSIZE_COMMERCIAL10_ENV 81
#define | PCL_PAPERSIZE_DL_ENV 90
#define | PCL_PAPERSIZE_C5_ENV 91
#define | PCL_PAPERSIZE_C6_ENV 92
#define | PCL_PAPERSIZE_CUSTOM 101 /* Custom size */
#define | PCL_PAPERSIZE_INVITATION_ENV 109
#define | PCL_PAPERSIZE_JAPANESE_3_ENV 110
#define | PCL_PAPERSIZE_JAPANESE_4_ENV 111
#define | PCL_PAPERSIZE_KAKU_ENV 113
#define | PCL_PAPERSIZE_HP_CARD 114 /* HP Greeting card!?? */
#define | NUM_PRINTER_PAPER_SIZES (sizeof(pcl_media_sizes) / sizeof(pcl_t))
#define | PCL_PAPERTYPE_PLAIN 0
#define | PCL_PAPERTYPE_BOND 1
#define | PCL_PAPERTYPE_PREMIUM 2
#define | PCL_PAPERTYPE_GLOSSY 3 /* or photo */
#define | PCL_PAPERTYPE_TRANS 4
#define | PCL_PAPERTYPE_QPHOTO 5 /* Quick dry photo (2000 only) */
#define | PCL_PAPERTYPE_QTRANS 6 /* Quick dry transparency (2000 only) */
#define | NUM_PRINTER_PAPER_TYPES (sizeof(pcl_media_types) / sizeof(pcl_t))
#define | PAPERSOURCE_MOD 16
#define | PCL_PAPERSOURCE_STANDARD 0 /* Don't output code */
#define | PCL_PAPERSOURCE_MANUAL 2
#define | PCL_PAPERSOURCE_ENVELOPE 3 /* Not used */
#define | PCL_PAPERSOURCE_LJ_TRAY2 1
#define | PCL_PAPERSOURCE_LJ_TRAY3 4
#define | PCL_PAPERSOURCE_LJ_TRAY4 5
#define | PCL_PAPERSOURCE_LJ_TRAY1 8
#define | PCL_PAPERSOURCE_340_PCSF 1 + PAPERSOURCE_MOD
#define | PCL_PAPERSOURCE_340_DCSF 4 + PAPERSOURCE_MOD
#define | PCL_PAPERSOURCE_DJ_TRAY 1 + PAPERSOURCE_MOD + PAPERSOURCE_MOD
#define | PCL_PAPERSOURCE_DJ_TRAY2 4 + PAPERSOURCE_MOD + PAPERSOURCE_MOD
#define | PCL_PAPERSOURCE_DJ_OPTIONAL 5 + PAPERSOURCE_MOD + PAPERSOURCE_MOD
#define | PCL_PAPERSOURCE_DJ_AUTO 7 + PAPERSOURCE_MOD + PAPERSOURCE_MOD
#define | NUM_PRINTER_PAPER_SOURCES (sizeof(pcl_media_sources) / sizeof(pcl_t))
#define | PCL_RES_150_150 1
#define | PCL_RES_300_300 2
#define | PCL_RES_600_300 4 /* DJ 600 series */
#define | PCL_RES_600_600_MONO 8 /* DJ 600/800/1100/2000 b/w only */
#define | PCL_RES_600_600 16 /* DJ 9xx/1220C/PhotoSmart */
#define | PCL_RES_1200_600 32 /* DJ 9xx/1220C/PhotoSmart */
#define | PCL_RES_2400_600 64 /* DJ 9xx/1220C/PhotoSmart */
#define | NUM_RESOLUTIONS (sizeof(pcl_resolutions) / sizeof (pcl_t))
#define | PCL_COLOR_NONE 0
#define | PCL_COLOR_CMY 1 /* One print head */
#define | PCL_COLOR_CMYK 2 /* Two print heads */
#define | PCL_COLOR_CMYK4 4 /* CRet printing */
#define | PCL_COLOR_CMYKcm 8 /* CMY + Photo Cart */
#define | PCL_COLOR_CMYK4b 16 /* CRet for HP840c */
#define | PCL_PRINTER_LJ 1
#define | PCL_PRINTER_DJ 2
#define | PCL_PRINTER_NEW_ERG
#define | PCL_PRINTER_TIFF 8 /* Use TIFF compression */
#define | PCL_PRINTER_MEDIATYPE 16 /* Use media type & print quality */
#define | PCL_PRINTER_CUSTOM_SIZE 32 /* Custom sizes supported */
#define | PCL_PRINTER_BLANKLINE 64 /* Blank line removal supported */
#define | PCL_PRINTER_DUPLEX 128 /* Printer can have duplexer */
#define | NUM_DUPLEX (sizeof (duplex_types) / sizeof (stp_param_string_t))
#define | stp_module_version print_pcl_LTX_stp_module_version
#define | stp_module_data print_pcl_LTX_stp_module_data
## Functions
void | pcl_mode0 (stp_vars_t *, unsigned char *, int, int)
void | pcl_mode2 (stp_vars_t *, unsigned char *, int, int)
void | pcl_describe_resolution (const stp_vars_t *v, int *x, int *y)
int | pcl_string_to_val (const char *string, const pcl_t *options, int num_options)
const char * | pcl_val_to_string (int code, const pcl_t *options, int num_options)
const char * | pcl_val_to_text (int code, const pcl_t *options, int num_options)
const pcl_cap_t * | pcl_get_model_capabilities (int model)
int | pcl_convert_media_size (const char *media_size, int model)
const int | pcl_papersize_valid (const stp_papersize_t *pt, int model)
stp_parameter_list_t | pcl_list_parameters (const stp_vars_t *v)
void | pcl_parameters (const stp_vars_t *v, const char *name, stp_parameter_t *description)
void | internal_imageable_area (const stp_vars_t *v, int use_paper_margins, int *left, int *right, int *bottom, int *top)
void | pcl_imageable_area (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | pcl_limit (const stp_vars_t *v, int *width, int *height, int *min_width, int *min_height)
const char * | pcl_describe_output (const stp_vars_t *v)
void | pcl_printfunc (stp_vars_t *v)
double | get_double_param (stp_vars_t *v, const char *param)
int | pcl_do_print (stp_vars_t *v, stp_image_t *image)
int | pcl_print (const stp_vars_t *v, stp_image_t *image)
int | print_pcl_module_init (void)
int | print_pcl_module_exit (void)
## Variables
const stp_dotsize_t | single_dotsize []
const stp_shade_t | photo_dither_shades []
const pcl_t | pcl_media_sizes []
const pcl_t | pcl_media_types []
const pcl_t | pcl_media_sources []
const pcl_t | pcl_resolutions []
const short | emptylist []
const short | standard_papersizes []
const short | letter_only_papersizes []
const short | dj340_papersizes []
const short | dj400_papersizes []
const short | dj500_papersizes []
const short | dj540_papersizes []
const short | dj600_papersizes []
const short | dj1220_papersizes []
const short | dj1100_papersizes []
const short | dj1200_papersizes []
const short | dj2000_papersizes []
const short | dj2500_papersizes []
const short | ljsmall_papersizes []
const short | ljbig_papersizes []
const short | basic_papertypes []
const short | new_papertypes []
const short | laserjet_papersources []
const short | dj340_papersources []
const short | dj_papersources []
const short | dj2500_papersources []
const short | standard_papersources []
const pcl_cap_t | pcl_model_capabilities []
const char | standard_sat_adjustment []
const char | standard_lum_adjustment []
const char | standard_hue_adjustment []
const stp_parameter_t | the_parameters []
const int | the_parameter_count
const float_param_t | float_parameters []
const int | float_parameter_count
const double | dot_sizes [] = { 0.5, 0.832, 1.0 }
const double | dot_sizes_cret [] = { 1.0, 1.0, 1.0 }
const stp_dotsize_t | variable_dotsizes []
const stp_shade_t | variable_shades []
const stp_param_string_t | ink_types []
const stp_param_string_t | duplex_types []
const stp_printfuncs_t | print_pcl_printfuncs
stp_family_t | print_pcl_module_data
stp_module_version_t | stp_module_version = {0, 0}
stp_module_t | stp_module_data

## Define Documentation

#define MAX | ( | a,
|  | b |  | ) | ((a) > (b) ? (a) : (b))

| Definition at line 48 of file print-pcl.c.

#define NUM_DUPLEX (sizeof (duplex_types) / sizeof (stp_param_string_t))

| Definition at line 1462 of file print-pcl.c.

#define NUM_PRINTER_PAPER_SIZES (sizeof(pcl_media_sizes) / sizeof(pcl_t))

| Definition at line 171 of file print-pcl.c. Referenced by pcl_get_model_capabilities().

#define NUM_PRINTER_PAPER_SOURCES (sizeof(pcl_media_sources) / sizeof(pcl_t))

| Definition at line 251 of file print-pcl.c.

#define NUM_PRINTER_PAPER_TYPES (sizeof(pcl_media_types) / sizeof(pcl_t))

| Definition at line 198 of file print-pcl.c.

#define NUM_RESOLUTIONS (sizeof(pcl_resolutions) / sizeof (pcl_t))

| Definition at line 276 of file print-pcl.c.

#define PAPERSOURCE_MOD 16

| Definition at line 206 of file print-pcl.c.

#define PCL_COLOR_CMY 1 /* One print head */

| Definition at line 328 of file print-pcl.c. Referenced by pcl_limit().

#define PCL_COLOR_CMYK 2 /* Two print heads */

| Definition at line 330 of file print-pcl.c.

#define PCL_COLOR_CMYK4 4 /* CRet printing */

| Definition at line 332 of file print-pcl.c.

#define PCL_COLOR_CMYK4b 16 /* CRet for HP840c */

| Definition at line 336 of file print-pcl.c.

#define PCL_COLOR_CMYKcm 8 /* CMY + Photo Cart */

| Definition at line 334 of file print-pcl.c.

#define PCL_COLOR_NONE 0

| Definition at line 327 of file print-pcl.c.

#define PCL_PAPERSIZE_3x5 78

| Definition at line 117 of file print-pcl.c.

#define PCL_PAPERSIZE_4x6 74

| Definition at line 115 of file print-pcl.c.

#define PCL_PAPERSIZE_5x8 75

| Definition at line 116 of file print-pcl.c.

#define PCL_PAPERSIZE_A3 27

| Definition at line 109 of file print-pcl.c.

#define PCL_PAPERSIZE_A4 26

| Definition at line 108 of file print-pcl.c.

#define PCL_PAPERSIZE_A5 25

| Definition at line 107 of file print-pcl.c.

#define PCL_PAPERSIZE_A6_CARD 73

| Definition at line 114 of file print-pcl.c.

#define PCL_PAPERSIZE_C5_ENV 91

| Definition at line 121 of file print-pcl.c.

#define PCL_PAPERSIZE_C6_ENV 92

| Definition at line 122 of file print-pcl.c.

#define PCL_PAPERSIZE_COMMERCIAL10_ENV 81

| Definition at line 119 of file print-pcl.c.

#define PCL_PAPERSIZE_CUSTOM 101 /* Custom size */

| Definition at line 123 of file print-pcl.c.

#define PCL_PAPERSIZE_DL_ENV 90

| Definition at line 120 of file print-pcl.c.

#define PCL_PAPERSIZE_EXECUTIVE 1

| Definition at line 98 of file print-pcl.c.

#define PCL_PAPERSIZE_HAGAKI_CARD 71

| Definition at line 112 of file print-pcl.c.

#define PCL_PAPERSIZE_HP_CARD 114 /* HP Greeting card!?? */

| Definition at line 129 of file print-pcl.c.

#define PCL_PAPERSIZE_INVITATION_ENV 109

| Definition at line 125 of file print-pcl.c.

#define PCL_PAPERSIZE_JAPANESE_3_ENV 110

| Definition at line 126 of file print-pcl.c.

#define PCL_PAPERSIZE_JAPANESE_4_ENV 111

| Definition at line 127 of file print-pcl.c.

#define PCL_PAPERSIZE_JIS_B4 46

| Definition at line 111 of file print-pcl.c.

#define PCL_PAPERSIZE_JIS_B5 45

| Definition at line 110 of file print-pcl.c.

#define PCL_PAPERSIZE_KAKU_ENV 113

| Definition at line 128 of file print-pcl.c.

#define PCL_PAPERSIZE_LEGAL 3

| Definition at line 100 of file print-pcl.c.

#define PCL_PAPERSIZE_LETTER 2

| Definition at line 99 of file print-pcl.c.

#define PCL_PAPERSIZE_MONARCH_ENV 80

| Definition at line 118 of file print-pcl.c.

#define PCL_PAPERSIZE_OUFUKU_CARD 72

| Definition at line 113 of file print-pcl.c.

#define PCL_PAPERSIZE_STATEMENT 15 /* Called "Manual" in print-util */

| Definition at line 103 of file print-pcl.c.

#define PCL_PAPERSIZE_SUPER_B 16 /* Called "13x19" in print-util */

| Definition at line 105 of file print-pcl.c.

#define PCL_PAPERSIZE_TABLOID 6 /* "Ledger" */

| Definition at line 101 of file print-pcl.c.

#define PCL_PAPERSOURCE_340_DCSF 4 + PAPERSOURCE_MOD

| Definition at line 223 of file print-pcl.c.

#define PCL_PAPERSOURCE_340_PCSF 1 + PAPERSOURCE_MOD

| Definition at line 221 of file print-pcl.c.

#define PCL_PAPERSOURCE_DJ_AUTO 7 + PAPERSOURCE_MOD + PAPERSOURCE_MOD

| Definition at line 232 of file print-pcl.c.

#define PCL_PAPERSOURCE_DJ_OPTIONAL 5 + PAPERSOURCE_MOD + PAPERSOURCE_MOD

| Definition at line 230 of file print-pcl.c.

#define PCL_PAPERSOURCE_DJ_TRAY 1 + PAPERSOURCE_MOD + PAPERSOURCE_MOD

| Definition at line 227 of file print-pcl.c.

#define PCL_PAPERSOURCE_DJ_TRAY2 4 + PAPERSOURCE_MOD + PAPERSOURCE_MOD

| Definition at line 228 of file print-pcl.c.

#define PCL_PAPERSOURCE_ENVELOPE 3 /* Not used */

| Definition at line 211 of file print-pcl.c.

#define PCL_PAPERSOURCE_LJ_TRAY1 8

| Definition at line 218 of file print-pcl.c.

#define PCL_PAPERSOURCE_LJ_TRAY2 1

| Definition at line 215 of file print-pcl.c.

#define PCL_PAPERSOURCE_LJ_TRAY3 4

| Definition at line 216 of file print-pcl.c.

#define PCL_PAPERSOURCE_LJ_TRAY4 5

| Definition at line 217 of file print-pcl.c.

#define PCL_PAPERSOURCE_MANUAL 2

| Definition at line 210 of file print-pcl.c.

#define PCL_PAPERSOURCE_STANDARD 0 /* Don't output code */

| Definition at line 208 of file print-pcl.c.

#define PCL_PAPERTYPE_BOND 1

| Definition at line 178 of file print-pcl.c.

#define PCL_PAPERTYPE_GLOSSY 3 /* or photo */

| Definition at line 180 of file print-pcl.c.

#define PCL_PAPERTYPE_PLAIN 0

| Definition at line 177 of file print-pcl.c.

#define PCL_PAPERTYPE_PREMIUM 2

| Definition at line 179 of file print-pcl.c.

#define PCL_PAPERTYPE_QPHOTO 5 /* Quick dry photo (2000 only) */

| Definition at line 183 of file print-pcl.c.

#define PCL_PAPERTYPE_QTRANS 6 /* Quick dry transparency (2000 only) */

| Definition at line 185 of file print-pcl.c.

#define PCL_PAPERTYPE_TRANS 4

| Definition at line 182 of file print-pcl.c.

#define PCL_PRINTER_BLANKLINE 64 /* Blank line removal supported */

| Definition at line 350 of file print-pcl.c.

#define PCL_PRINTER_CUSTOM_SIZE 32 /* Custom sizes supported */

| Definition at line 348 of file print-pcl.c.

#define PCL_PRINTER_DJ 2

| Definition at line 340 of file print-pcl.c.

#define PCL_PRINTER_DUPLEX 128 /* Printer can have duplexer */

| Definition at line 352 of file print-pcl.c.

#define PCL_PRINTER_LJ 1

| Definition at line 339 of file print-pcl.c.

#define PCL_PRINTER_MEDIATYPE 16 /* Use media type & print quality */

| Definition at line 346 of file print-pcl.c.

#define PCL_PRINTER_NEW_ERG

| Value:
    4       /* use "\033*rC" to end raster graphics,
                                               instead of "\033*rB" */
Definition at line 341 of file print-pcl.c.

#define PCL_PRINTER_TIFF 8 /* Use TIFF compression */

| Definition at line 344 of file print-pcl.c.

#define PCL_RES_1200_600 32 /* DJ 9xx/1220C/PhotoSmart */

| Definition at line 261 of file print-pcl.c.

#define PCL_RES_150_150 1

| Definition at line 253 of file print-pcl.c.

#define PCL_RES_2400_600 64 /* DJ 9xx/1220C/PhotoSmart */

| Definition at line 263 of file print-pcl.c.

#define PCL_RES_300_300 2

| Definition at line 254 of file print-pcl.c.

#define PCL_RES_600_300 4 /* DJ 600 series */

| Definition at line 255 of file print-pcl.c.

#define PCL_RES_600_600 16 /* DJ 9xx/1220C/PhotoSmart */

| Definition at line 259 of file print-pcl.c.

#define PCL_RES_600_600_MONO 8 /* DJ 600/800/1100/2000 b/w only */

| Definition at line 257 of file print-pcl.c. Referenced by pcl_imageable_area().

#define stp_module_data print_pcl_LTX_stp_module_data

| Definition at line 2807 of file print-pcl.c.

#define stp_module_version print_pcl_LTX_stp_module_version

| Definition at line 2806 of file print-pcl.c.

## Function Documentation

double get_double_param | ( | stp_vars_t * | v,
|  | const char * | param
| ) | `[static]`

| Definition at line 2000 of file print-pcl.c. Referenced by setup_inks().

void internal_imageable_area | ( | const stp_vars_t * | v,
|  | int | use_paper_margins,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 1765 of file print-pcl.c. Referenced by canon_imageable_area(), escp2_imageable_area(), and setup_page().

int pcl_convert_media_size | ( | const char * | media_size,
|  | int | model
| ) | `[static]`

| Definition at line 1406 of file print-pcl.c.

const char* pcl_describe_output | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1857 of file print-pcl.c. References pcl_privdata_t::blank_lines, pcl_privdata_t::do_blank, pcl_privdata_t::height, stp_dither_get_channel(), stp_dither_get_last_position(), STP_ECOLOR_C, STP_ECOLOR_K, STP_ECOLOR_M, STP_ECOLOR_Y, stp_get_component_data(), stp_get_string_parameter(), and stp_vars_t.

void pcl_describe_resolution | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 279 of file print-pcl.c.

int pcl_do_print | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2009 of file print-pcl.c. References stp_curve_t, and stp_eprintf().

const pcl_cap_t* pcl_get_model_capabilities | ( | int | model | ) | `[static]`

| Definition at line 1389 of file print-pcl.c. References NUM_PRINTER_PAPER_SIZES.

void pcl_imageable_area | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 1833 of file print-pcl.c. References PCL_RES_600_600_MONO.

void pcl_limit | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height,
|  | int * | min_width,
|  | int * | min_height
| ) | `[static]`

| Definition at line 1843 of file print-pcl.c. References pcl_cap_t::color_type, and PCL_COLOR_CMY.

stp_parameter_list_t pcl_list_parameters | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1534 of file print-pcl.c.

void pcl_mode0 | ( | stp_vars_t * | ,
|  | unsigned char * | ,
|  | int | ,
|  | int |
| ) | `[static]`

| Definition at line 2748 of file print-pcl.c.

void pcl_mode2 | ( | stp_vars_t * | ,
|  | unsigned char * | ,
|  | int | ,
|  | int |
| ) | `[static]`

| Definition at line 2763 of file print-pcl.c. References print_pcl_module_data, stp_family::printer_list, and stp_family_register().

const int pcl_papersize_valid | ( | const stp_papersize_t * | pt,
|  | int | model
| ) | `[static]`

| Definition at line 1469 of file print-pcl.c.

void pcl_parameters | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 1546 of file print-pcl.c. References stp_parameter_t::bounds, stp_parameter_t::deflt, float_param_t::defval, float_parameter_count, float_parameters, float_param_t::max, float_param_t::min, and stp_fill_parameter_settings().

int pcl_print | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2717 of file print-pcl.c. References stp_vars_t.

void pcl_printfunc | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 1887 of file print-pcl.c. References pcl_privdata_t::blank_lines, pcl_privdata_t::do_6color, pcl_privdata_t::do_cret, pcl_privdata_t::do_cretb, STP_DBG_PCL, stp_deprintf(), stp_zprintf(), and pcl_privdata_t::writefunc.

int pcl_string_to_val | ( | const char * | string,
|  | const pcl_t * | options,
|  | int | num_options
| ) | `[static]`

| Definition at line 1292 of file print-pcl.c. References pcl_t::pcl_code, STP_DBG_PCL, and stp_deprintf().

const char* pcl_val_to_string | ( | int | code,
|  | const pcl_t * | options,
|  | int | num_options
| ) | `[static]`

| Definition at line 1320 of file print-pcl.c. References pcl_t::pcl_code, STP_DBG_PCL, and stp_deprintf().

const char* pcl_val_to_text | ( | int | code,
|  | const pcl_t * | options,
|  | int | num_options
| ) | `[static]`

| Definition at line 1344 of file print-pcl.c. References stp_dotsize_t, and variable_dotsizes.

int print_pcl_module_exit | ( | void |  | ) | `[static]`

| Definition at line 2799 of file print-pcl.c. Referenced by print_pcl_module_init().

int print_pcl_module_init | ( | void |  | ) | `[static]`

| Definition at line 2792 of file print-pcl.c. References print_pcl_module_data, print_pcl_module_exit(), and print_pcl_module_init(). Referenced by print_pcl_module_init().

## Variable Documentation

const short basic_papertypes[]`[static]`

| Initial value:
    {
      PCL_PAPERTYPE_PLAIN,
      PCL_PAPERTYPE_BOND,
      PCL_PAPERTYPE_PREMIUM,
      PCL_PAPERTYPE_GLOSSY,
      PCL_PAPERTYPE_TRANS,
      -1,
    }
Definition at line 604 of file print-pcl.c.

const short dj1100_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_TABLOID,
      PCL_PAPERSIZE_STATEMENT,
      PCL_PAPERSIZE_SUPER_B,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_A3,
      PCL_PAPERSIZE_JIS_B5,
      PCL_PAPERSIZE_JIS_B4,
      PCL_PAPERSIZE_HAGAKI_CARD,
      PCL_PAPERSIZE_A6_CARD,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C6_ENV,
      PCL_PAPERSIZE_INVITATION_ENV,
      PCL_PAPERSIZE_JAPANESE_3_ENV,
      PCL_PAPERSIZE_JAPANESE_4_ENV,
      PCL_PAPERSIZE_KAKU_ENV,
      -1,
    }
Definition at line 486 of file print-pcl.c.

const short dj1200_papersizes[]`[static]`

| Initial value:
    {

      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      -1,
    }
Definition at line 513 of file print-pcl.c.

const short dj1220_papersizes[]`[static]`

| Definition at line 454 of file print-pcl.c.

const short dj2000_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_HAGAKI_CARD,
      PCL_PAPERSIZE_A6_CARD,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_3x5,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C6_ENV,
      PCL_PAPERSIZE_INVITATION_ENV,
      -1,
    }
Definition at line 527 of file print-pcl.c.

const short dj2500_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_TABLOID,
      PCL_PAPERSIZE_STATEMENT,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_A3,
      PCL_PAPERSIZE_JIS_B5,
      PCL_PAPERSIZE_JIS_B4,
      PCL_PAPERSIZE_HAGAKI_CARD,
      PCL_PAPERSIZE_A6_CARD,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      -1,
    }
Definition at line 546 of file print-pcl.c.

const short dj2500_papersources[]`[static]`

| Initial value:
    {
      PCL_PAPERSOURCE_STANDARD,
      PCL_PAPERSOURCE_MANUAL,
      PCL_PAPERSOURCE_DJ_AUTO,
      PCL_PAPERSOURCE_DJ_TRAY,
      PCL_PAPERSOURCE_DJ_TRAY2,
      PCL_PAPERSOURCE_DJ_OPTIONAL,
      -1,
    }
Definition at line 654 of file print-pcl.c.

const short dj340_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      -1,
    }
Definition at line 388 of file print-pcl.c.

const short dj340_papersources[]`[static]`

| Initial value:
    {
      PCL_PAPERSOURCE_STANDARD,
      PCL_PAPERSOURCE_MANUAL,
      PCL_PAPERSOURCE_340_PCSF,
      PCL_PAPERSOURCE_340_DCSF,
      -1,
    }
Definition at line 637 of file print-pcl.c.

const short dj400_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_JIS_B5,
      -1,
    }
Definition at line 397 of file print-pcl.c.

const short dj500_papersizes[]`[static]`

| Initial value:
    {

      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,

      -1,
    }
Definition at line 407 of file print-pcl.c.

const short dj540_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_JIS_B5,
      PCL_PAPERSIZE_HAGAKI_CARD,
      PCL_PAPERSIZE_A6_CARD,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C6_ENV,
      -1,
    }
Definition at line 418 of file print-pcl.c.

const short dj600_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_HAGAKI_CARD,
      PCL_PAPERSIZE_A6_CARD,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C6_ENV,
      PCL_PAPERSIZE_INVITATION_ENV,
      -1,
    }
Definition at line 436 of file print-pcl.c.

const short dj_papersources[]`[static]`

| Initial value:
    {
      PCL_PAPERSOURCE_STANDARD,
      PCL_PAPERSOURCE_MANUAL,
      PCL_PAPERSOURCE_DJ_TRAY,
      -1,
    }
Definition at line 646 of file print-pcl.c.

const double dot_sizes[] = { 0.5, 0.832, 1.0 }`[static]`

| Definition at line 1368 of file print-pcl.c.

const double dot_sizes_cret[] = { 1.0, 1.0, 1.0 }`[static]`

| Definition at line 1369 of file print-pcl.c.

const stp_param_string_t duplex_types[]`[static]`

| Initial value:
    {
      { "None",             N_ ("Off") },
      { "DuplexNoTumble",   N_ ("Long Edge (Standard)") },
      { "DuplexTumble",     N_ ("Short Edge (Flip)") }
    }
Definition at line 1456 of file print-pcl.c.

const short emptylist[]`[static]`

| Initial value:
    {
      -1
    }
Definition at line 367 of file print-pcl.c.

const int float_parameter_count`[static]`

| Initial value:
    sizeof(float_parameters) / sizeof(const float_param_t)
Definition at line 1285 of file print-pcl.c. Referenced by pcl_parameters().

const float_param_t float_parameters[]`[static]`

| Definition at line 1233 of file print-pcl.c. Referenced by pcl_parameters().

const stp_param_string_t ink_types[]`[static]`

| Initial value:
    {
      { "CMYK",     N_ ("Color + Black Cartridges") },
      { "Photo",    N_ ("Color + Photo Cartridges") }
    }
Definition at line 1444 of file print-pcl.c.

const short laserjet_papersources[]`[static]`

| Initial value:
    {
      PCL_PAPERSOURCE_STANDARD,
      PCL_PAPERSOURCE_MANUAL,
      PCL_PAPERSOURCE_LJ_TRAY1,
      PCL_PAPERSOURCE_LJ_TRAY2,
      PCL_PAPERSOURCE_LJ_TRAY3,
      PCL_PAPERSOURCE_LJ_TRAY4,
      -1,
    }
Definition at line 626 of file print-pcl.c.

const short letter_only_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_LETTER,
      -1
    }
Definition at line 382 of file print-pcl.c.

const short ljbig_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_STATEMENT,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_TABLOID,
      PCL_PAPERSIZE_A5,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_A3,
      PCL_PAPERSIZE_JIS_B5,
      PCL_PAPERSIZE_JIS_B4,
      PCL_PAPERSIZE_4x6,
      PCL_PAPERSIZE_5x8,
      PCL_PAPERSIZE_MONARCH_ENV,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C5_ENV,
      PCL_PAPERSIZE_C6_ENV,
      -1,
    }
Definition at line 582 of file print-pcl.c.

const short ljsmall_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_STATEMENT,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      PCL_PAPERSIZE_MONARCH_ENV,
      PCL_PAPERSIZE_COMMERCIAL10_ENV,
      PCL_PAPERSIZE_DL_ENV,
      PCL_PAPERSIZE_C5_ENV,
      PCL_PAPERSIZE_C6_ENV,
      -1,
    }
Definition at line 567 of file print-pcl.c.

const short new_papertypes[]`[static]`

| Initial value:
    {
      PCL_PAPERTYPE_PLAIN,
      PCL_PAPERTYPE_BOND,
      PCL_PAPERTYPE_PREMIUM,
      PCL_PAPERTYPE_GLOSSY,
      PCL_PAPERTYPE_TRANS,
      PCL_PAPERTYPE_QPHOTO,
      PCL_PAPERTYPE_QTRANS,
      -1,
    }
Definition at line 614 of file print-pcl.c.

const pcl_t pcl_media_sizes[]`[static]`

| Definition at line 140 of file print-pcl.c.

const pcl_t pcl_media_sources[]`[static]`

| Initial value:
    {
        { "Standard", N_ ("Standard"), PCL_PAPERSOURCE_STANDARD},
        { "Manual", N_ ("Manual"), PCL_PAPERSOURCE_MANUAL},

        { "MultiPurpose", N_ ("Tray 1"), PCL_PAPERSOURCE_LJ_TRAY1},
        { "Upper", N_ ("Tray 2"), PCL_PAPERSOURCE_LJ_TRAY2},
        { "Lower", N_ ("Tray 3"), PCL_PAPERSOURCE_LJ_TRAY3},
        { "LargeCapacity", N_ ("Tray 4"), PCL_PAPERSOURCE_LJ_TRAY4},
        { "Portable", N_ ("Portable Sheet Feeder"), PCL_PAPERSOURCE_340_PCSF},
        { "Desktop", N_ ("Desktop Sheet Feeder"), PCL_PAPERSOURCE_340_DCSF},
        { "Tray", N_ ("Tray"), PCL_PAPERSOURCE_DJ_TRAY},
        { "Tray2", N_ ("Tray 2"), PCL_PAPERSOURCE_DJ_TRAY2},
        { "Optional", N_ ("Optional Source"), PCL_PAPERSOURCE_DJ_OPTIONAL},
        { "Auto", N_ ("Autoselect"), PCL_PAPERSOURCE_DJ_AUTO},
    }
Definition at line 235 of file print-pcl.c.

const pcl_t pcl_media_types[]`[static]`

| Initial value:
    {
        { "Plain", N_ ("Plain"), PCL_PAPERTYPE_PLAIN},
        { "Bond", N_ ("Bond"), PCL_PAPERTYPE_BOND},
        { "Premium", N_ ("Premium"), PCL_PAPERTYPE_PREMIUM},
        { "Glossy", N_ ("Glossy Photo"), PCL_PAPERTYPE_GLOSSY},
        { "Transparency", N_ ("Transparency"), PCL_PAPERTYPE_TRANS},
        { "GlossyQD", N_ ("Quick-dry Photo"), PCL_PAPERTYPE_QPHOTO},
        { "TransparencyQD", N_ ("Quick-dry Transparency"), PCL_PAPERTYPE_QTRANS},
    }
Definition at line 188 of file print-pcl.c.

const pcl_cap_t pcl_model_capabilities[]`[static]`

| Definition at line 671 of file print-pcl.c.

const pcl_t pcl_resolutions[]`[static]`

| Initial value:
    {
        { "150dpi", N_("150x150 DPI"), PCL_RES_150_150, 150, 150},
        { "300dpi", N_("300x300 DPI"), PCL_RES_300_300, 300, 300},
        { "600x300dpi", N_("600x300 DPI"), PCL_RES_600_300, 600, 300},
        { "600mono", N_("600x600 DPI monochrome"), PCL_RES_600_600_MONO, 600, 600},
        { "600dpi", N_("600x600 DPI"), PCL_RES_600_600, 600, 600},
        { "1200x600dpi", N_("1200x600 DPI"), PCL_RES_1200_600, 1200, 600},
        { "2400x600dpi", N_("2400x600 DPI"), PCL_RES_2400_600, 2400, 600},
    }
Definition at line 266 of file print-pcl.c.

const stp_shade_t photo_dither_shades[]`[static]`

| Initial value:
    {
      { 1.0000, 1, single_dotsize },
      { 0.3333, 1, single_dotsize },
    }
Definition at line 83 of file print-pcl.c.

stp_family_t print_pcl_module_data`[static]`

| Initial value:
      {
        &print_pcl_printfuncs,
        NULL
      }
Definition at line 2784 of file print-pcl.c. Referenced by pcl_mode2(), and print_pcl_module_init().

const stp_printfuncs_t print_pcl_printfuncs`[static]`

| Initial value:
    {
      pcl_list_parameters,
      pcl_parameters,
      stp_default_media_size,
      pcl_imageable_area,
      pcl_limit,
      pcl_print,
      pcl_describe_resolution,
      pcl_describe_output,
      stp_verify_printer_params,
      NULL,
      NULL
    }
Definition at line 2727 of file print-pcl.c.

const stp_dotsize_t single_dotsize[]`[static]`

| Initial value:
    {
      { 0x1, 1.0 }
    }
Definition at line 78 of file print-pcl.c.

const char standard_hue_adjustment[]`[static]`

| Initial value:
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<gimp-print>\n"
    "<curve wrap=\"wrap\" type=\"linear\" gamma=\"0\">\n"
    "<sequence count=\"48\" lower-bound=\"-6\" upper-bound=\"6\">\n"
      "0.00 0.06 0.10 0.10 0.06 -.01 -.09 -.17 "
      "-.25 -.33 -.38 -.38 -.36 -.34 -.34 -.34 "
      "-.34 -.34 -.36 -.40 -.50 -.40 -.30 -.20 "
      "-.12 -.07 -.04 -.02 0.00 0.00 0.00 0.00 "
      "0.00 0.00 0.00 -.05 -.10 -.15 -.22 -.24 "
      "-.26 -.30 -.33 -.28 -.25 -.20 -.13 -.06 "
    "</sequence>\n"
    "</curve>\n"
    "</gimp-print>\n"
Definition at line 1154 of file print-pcl.c.

const char standard_lum_adjustment[]`[static]`

| Initial value:
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<gimp-print>\n"
    "<curve wrap=\"wrap\" type=\"linear\" gamma=\"0\">\n"
    "<sequence count=\"48\" lower-bound=\"0\" upper-bound=\"4\">\n"
      "0.50 0.52 0.56 0.60 0.66 0.71 0.74 0.77 "
      "0.81 0.79 0.74 0.68 0.70 0.74 0.77 0.82 "
      "0.88 0.93 0.95 0.97 0.97 0.96 0.95 0.95 "
      "0.95 0.96 0.97 0.98 0.99 1.00 1.00 1.00 "
      "1.00 0.97 0.94 0.92 0.90 0.88 0.85 0.79 "
      "0.69 0.64 0.58 0.54 0.54 0.54 0.53 0.51 "
    "</sequence>\n"
    "</curve>\n"
    "</gimp-print>\n"
Definition at line 1139 of file print-pcl.c.

const short standard_papersizes[]`[static]`

| Initial value:
    {
      PCL_PAPERSIZE_EXECUTIVE,
      PCL_PAPERSIZE_STATEMENT,
      PCL_PAPERSIZE_LETTER,
      PCL_PAPERSIZE_LEGAL,
      PCL_PAPERSIZE_A4,
      -1,
    }
Definition at line 372 of file print-pcl.c.

const short standard_papersources[]`[static]`

| Initial value:
    {
      PCL_PAPERSOURCE_STANDARD,
      -1
    }
Definition at line 665 of file print-pcl.c.

const char standard_sat_adjustment[]`[static]`

| Initial value:
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<gimp-print>\n"
    "<curve wrap=\"wrap\" type=\"linear\" gamma=\"0\">\n"
    "<sequence count=\"48\" lower-bound=\"0\" upper-bound=\"4\">\n"
      "1.00 1.00 1.00 1.00 1.00 1.00 1.00 1.00 "
      "1.00 1.00 1.00 1.00 1.00 1.00 1.00 1.00 "
      "1.00 0.95 0.90 0.90 0.90 0.90 0.90 0.90 "
      "0.90 0.95 0.95 1.00 1.00 1.00 1.00 1.00 "
      "1.00 1.00 1.00 1.00 1.00 1.00 1.00 1.00 "
      "1.00 1.00 1.00 1.00 1.00 1.00 1.00 1.00 "
    "</sequence>\n"
    "</curve>\n"
    "</gimp-print>\n"
Definition at line 1124 of file print-pcl.c.

stp_module_t stp_module_data

| Initial value:
      {
        "pcl",
        VERSION,
        "PCL family driver",
        STP_MODULE_CLASS_FAMILY,
        NULL,
        print_pcl_module_init,
        print_pcl_module_exit,
        (void *) &print_pcl_module_data
      }
Definition at line 2811 of file print-pcl.c.

stp_module_version_t stp_module_version = {0, 0}

| Definition at line 2809 of file print-pcl.c.

const int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 1221 of file print-pcl.c.

const stp_parameter_t the_parameters[]`[static]`

| Definition at line 1169 of file print-pcl.c.

const stp_dotsize_t variable_dotsizes[]`[static]`

| Initial value:
    {
      { 0x1, 0.5 },
      { 0x2, 0.67 },
      { 0x3, 1.0 }
    }
Definition at line 1371 of file print-pcl.c. Referenced by pcl_val_to_text().

const stp_shade_t variable_shades[]`[static]`

| Initial value:
    {
      { 0.38, 3, variable_dotsizes },
      { 1.0, 3, variable_dotsizes }
    }
Definition at line 1378 of file print-pcl.c.